(function(){
    'use strict';
    var myApp =angular.module('myApp', []);
        myApp.config(function($httpProvider) {
    $httpProvider.defaults.headers.put['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';
    $httpProvider.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';
    // Override $http service's default transformRequest
    $httpProvider.defaults.transformRequest = [function(data) {
        /**
         * The workhorse; converts an object to x-www-form-urlencoded serialization.
         * @param {Object} obj
         * @return {String}
         */
        var param = function(obj) {
            var query = '';
            var name, value, fullSubName, subName, subValue, innerObj, i;
            for (name in obj) {
                value = obj[name];
                if (value instanceof Array) {
                    for (i = 0; i < value.length; ++i) {
                        subValue = value[i];
                        fullSubName = name + '[' + i + ']';
                        innerObj = {};
                        innerObj[fullSubName] = subValue;
                        query += param(innerObj) + '&';
                    }
                } else if (value instanceof Object) {
                    for (subName in value) {
                        subValue = value[subName];
                        fullSubName = name + '[' + subName + ']';
                        innerObj = {};
                        innerObj[fullSubName] = subValue;
                        query += param(innerObj) + '&';
                    }
                } else if (value !== undefined && value !== null) {
                    query += encodeURIComponent(name) + '='
                            + encodeURIComponent(value) + '&';
                }
            }
            return query.length ? query.substr(0, query.length - 1) : query;
        };
        return angular.isObject(data) && String(data) !== '[object File]'
                ? param(data)
                : data;
    }];
});
})();
// JSONP
function getParam(name) {
    return location.href.match(new RegExp('[?&]' + name + '=([^?&]+)', 'i')) ? decodeURIComponent(RegExp.$1) : '';
}
function PriceCtrl($scope, $http) {
    // window.onload = function() {
    //     $('.price-breakdown h4').eq(0).text(localStorage.rpTit);
    // }
    $scope.cate_id = getParam('cate_id');
    $scope.brand_id = getParam('brand_id');
    $scope.product_id = getParam('product_id');
    $scope.product_name = getParam('product_name');
    $scope.cate_name = getParam('cate_name');
    $scope.color_id = getParam('color_id');
    $scope.color_name = getParam('color_name');
    $scope.hitch_id = getParam('hitch_id');
    $scope.hitch_name = getParam('hitch_name');
	
    
    $http.get("http://clear.jdguanjia.com/hac/queryRepairPrice?channelCode="+localStorage.getItem('channelAppid')+"&businessId=2&categoryId="+$scope.cate_id+"&brandId="+$scope.brand_id+"&modelId="+$scope.product_id+"&nexusFormatIds="+$scope.color_id+"&nexusHitchIds="+$scope.hitch_id).success(function(data) {
        // if(code==0){
            $.each(data.body, function(i, val) {
                // 管家配件
                if(val.repairTypeId == 1) {
                    $scope.thiTime = val.repairTime;
                    $scope.thiType = val.repairType;
                    $scope.thiPrice = val.price.toString();
                    $scope.productId = val.goodsId;
                }
                // 原厂
                if(val.repairTypeId == 2) {
                    $scope.offTime = val.repairTime;
                    $scope.offType = val.repairType;
                    $scope.offPrice = val.price.toString();
                    $scope.productId = val.goodsId;
                }
            })
        // }
    });

    // 服务个数
    var count = 0;
    // 贴膜
    var tiemoClicked = 1;
    $scope.isTiemo = function() {
        if(tiemoClicked) {
            $('.price-tiemo img').attr('src', '../image/radioed.png');
            $('.price-detail em').eq(1).text(30);
            $('.price-all span').text(parseInt($('.price-detail em').eq(0).text()) + parseInt($('.price-detail em').eq(1).text()) - parseInt($('.price-detail strong').text()));
            tiemoClicked = 0;
            count++;
        } else {
            $('.price-tiemo img').attr('src', '../image/radio.png');
            $('.price-detail em').eq(1).text(0);
            $('.price-all span').text(parseInt($('.price-detail em').eq(0).text()) + parseInt($('.price-detail em').eq(1).text()) - parseInt($('.price-detail strong').text()));
            tiemoClicked = 1;
            count--;
        }
    }
    // 优惠码
    $scope.coupon = '';
    $scope.priceDiscount = function(coupon) {
        if($('.price-disconut-txt').val() == '') {
            alert('请输入优惠码');
            $('.price-youhui ul').addClass('hidden');
            $('.price-detail strong').text(0);
            $('.price-all span').text(parseInt($('.price-detail em').eq(0).text()) + parseInt($('.price-detail em').eq(1).text()) - parseInt($('.price-detail strong').text()));
            $scope.coupon = '';
            return;
        } else if($('.price-detail em').eq(0).text() == 0) {
            alert('请选择维修方案');
            return;
        }
        // 获取url里的参数
    	var coupon = $('.price-disconut-txt').val();
        $http.get("http://clear.jdguanjia.com/hac/onsale_code_check?channelCode="+localStorage.getItem('channelAppid')+"&code="+coupon+"&price="+$('.price-clicked strong').text()+"&count="+count+"&businessId="+2+"&categoryId="+$scope.cate_id).success(function(data) {
            if(data.error == 0) {
                $scope.promotion = parseInt($('.price-clicked strong').text()) - data.price;
                $('.price-youhui ul').removeClass('hidden');
                $('.price-detail strong').text($scope.promotion);
                $('.price-all span').text(parseInt($('.price-detail em').eq(0).text()) + parseInt($('.price-detail em').eq(1).text()) - parseInt($('.price-detail strong').text()));
                $scope.coupon = coupon;
            } else {
                alert(data.content);
                $('.price-youhui ul').addClass('hidden');
                $('.price-detail strong').text(0);
                $('.price-all span').text(parseInt($('.price-detail em').eq(0).text()) + parseInt($('.price-detail em').eq(1).text()) - parseInt($('.price-detail strong').text()));
                $scope.coupon = '';
            }
        });
    }
    $scope.linkTo = function() {
        if($('.price-clicked h4').text() == '原厂配件维修' || $('.price-clicked h4').text() == '原厂品质维修') {
            $scope.repairTypeId = 2;
        } else if($('.price-clicked h4').text() == '管家认证维修') {
             $scope.repairTypeId = 1;
        }
        if($('.price-tiemo img').attr('src') == '../image/radioed.png') {
            $scope.tiemo = '1';
        } else {
            $scope.tiemo = '2';
        }
        if(!$('.price-breakdown ul').eq(0).hasClass('price-clicked') && !$('.price-breakdown ul').eq(1).hasClass('price-clicked')) {
            alert('请选择维修方案');
        } else {
            $scope.fee = parseInt($('.price-detail em').eq(0).text()) + parseInt($('.price-detail em').eq(1).text());
            if($scope.coupon == '') {
                location.href = "frame-repair-user.html?product_id="+$scope.product_id+"&color_id="+$scope.color_id+"&hitch_id="+$scope.hitch_id+"&repairTypeId="+$scope.repairTypeId+"&tiemo="+$scope.tiemo+"&disPrice="+$('.price-all span').text()+"&fee="+$scope.fee+"&productId="+$scope.productId+"&coupon="+0;
            } else {
                location.href = "frame-repair-user.html?product_id="+$scope.product_id+"&color_id="+$scope.color_id+"&hitch_id="+$scope.hitch_id+"&repairTypeId="+$scope.repairTypeId+"&tiemo="+$scope.tiemo+"&disPrice="+$('.price-all span').text()+"&fee="+$scope.fee+"&productId="+$scope.productId+"&coupon="+$scope.coupon;
            }
        }
    }
    $scope.selectHitch = function(i){
        count++;
        $('.price-breakdown ul').eq(i).addClass('price-clicked').siblings('ul').removeClass('price-clicked');
        $(this).siblings('ul').removeClass('price-clicked');
        //
        var couponRp = localStorage.getItem('couponcode');
        if(couponRp != 'undefined') {
        	$('.price-disconut-txt').val(couponRp);
        }
        //
        $('.price-detail em').eq(0).text($('.price-clicked strong').text());
        $('.price-all span').text(parseInt($('.price-detail em').eq(0).text()) + parseInt($('.price-detail em').eq(1).text()) - parseInt($('.price-detail strong').text()));
    }
}