(function(){
	'use strict';
	var myApp =angular.module('myApp', []);
        myApp.config(function($httpProvider) {
    $httpProvider.defaults.headers.put['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';
    $httpProvider.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';
    // Override $http service's default transformRequest
    $httpProvider.defaults.transformRequest = [function(data) {
        /**
         * The workhorse; converts an object to x-www-form-urlencoded serialization.
         * @param {Object} obj
         * @return {String}
         */
        var param = function(obj) {
            var query = '';
            var name, value, fullSubName, subName, subValue, innerObj, i;
            for (name in obj) {
                value = obj[name];
                if (value instanceof Array) {
                    for (i = 0; i < value.length; ++i) {
                        subValue = value[i];
                        fullSubName = name + '[' + i + ']';
                        innerObj = {};
                        innerObj[fullSubName] = subValue;
                        query += param(innerObj) + '&';
                    }
                } else if (value instanceof Object) {
                    for (subName in value) {
                        subValue = value[subName];
                        fullSubName = name + '[' + subName + ']';
                        innerObj = {};
                        innerObj[fullSubName] = subValue;
                        query += param(innerObj) + '&';
                    }
                } else if (value !== undefined && value !== null) {
                    query += encodeURIComponent(name) + '='
                            + encodeURIComponent(value) + '&';
                }
            }
            return query.length ? query.substr(0, query.length - 1) : query;
        };
        return angular.isObject(data) && String(data) !== '[object File]'
                ? param(data)
                : data;
    }];
});
})();
// JSONP
function getParam(name) {
    return location.href.match(new RegExp('[?&]' + name + '=([^?&]+)', 'i')) ? decodeURIComponent(RegExp.$1) : '';
}
function TypeCtrl($scope, $http) {
    $scope.cate_id = getParam('cate_id');
    $scope.cate_name = getParam('cate_name');
    $scope.brand_id = getParam('brand_id');
    $scope.brand_name = getParam('brand_name');
    if($scope.brand_id == '11') {
        localStorage.rpTit = '原厂品质维修';
    } else {
        localStorage.rpTit = '原厂配件维修';
    }
    $http.get("http://clear.jdguanjia.com/hac/getModelName?channelCode="+localStorage.getItem('channelAppid')+"&businessId=2&categoryId="+$scope.cate_id+"&brandId="+$scope.brand_id).success(function(data) {
        $scope.products = data[0].body;

    });
    $scope.linkTo = function(product) {
        location.href = "frame-repair-breakdown.html?product_id="+product.id+"&product_name="+product.name+"&cate_id="+$scope.cate_id+"&cate_name="+$scope.cate_name+"&brand_id="+$scope.brand_id;
    }
}