(function(){
	'use strict';
	var myApp =angular.module('myApp', []);
        myApp.config(function($httpProvider) {
    $httpProvider.defaults.headers.put['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';
    $httpProvider.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';
    // Override $http service's default transformRequest
    $httpProvider.defaults.transformRequest = [function(data) {
        /**
         * The workhorse; converts an object to x-www-form-urlencoded serialization.
         * @param {Object} obj
         * @return {String}
         */
        var param = function(obj) {
            var query = '';
            var name, value, fullSubName, subName, subValue, innerObj, i;
            for (name in obj) {
                value = obj[name];
                if (value instanceof Array) {
                    for (i = 0; i < value.length; ++i) {
                        subValue = value[i];
                        fullSubName = name + '[' + i + ']';
                        innerObj = {};
                        innerObj[fullSubName] = subValue;
                        query += param(innerObj) + '&';
                    }
                } else if (value instanceof Object) {
                    for (subName in value) {
                        subValue = value[subName];
                        fullSubName = name + '[' + subName + ']';
                        innerObj = {};
                        innerObj[fullSubName] = subValue;
                        query += param(innerObj) + '&';
                    }
                } else if (value !== undefined && value !== null) {
                    query += encodeURIComponent(name) + '='
                            + encodeURIComponent(value) + '&';
                }
            }
            return query.length ? query.substr(0, query.length - 1) : query;
        };
        return angular.isObject(data) && String(data) !== '[object File]'
                ? param(data)
                : data;
    }];
});
})();

function getParam(name) {
    return location.href.match(new RegExp('[?&]' + name + '=([^?&]+)', 'i')) ? decodeURIComponent(RegExp.$1) : '';
}
// JSONP
function IndexCtrl($scope, $http) {
    localStorage.setItem('thirdParam',location.href);
    // 获取url里的参数
	var args = new Object();
	args = GetUrlParms();
	var couponcode = args['coupon'];
	function GetUrlParms() {
	    var args=new Object();   
	    var query=location.search.substring(1);//获取查询串   
	    var pairs=query.split("&");//在逗号处断开   
	    for(var i=0;i<pairs.length;i++)   
	    {   
	        var pos=pairs[i].indexOf('=');//查找name=value   
            if(pos==-1)   continue;//如果没有找到就跳过   
            var argname=pairs[i].substring(0,pos);//提取name   
            var value=pairs[i].substring(pos+1);//提取value   
            args[argname]=unescape(value);//存为属性   
	    }
	    return args;
	}
	localStorage.setItem('couponcode',couponcode);
	// 获取url里的参数方法END
    // 维修
    if(!$scope.cates) {
        $http.get("http://clear.jdguanjia.com/hac/getCateBrandName?channelCode="+localStorage.getItem('channelAppid')+"&businessId=2").success(function(data) {
            $scope.cates = data.body;
        });
    }
    $scope.getBrand = function(cate, brand) {
    	var business;
    	if(cate.categoryId == 1){
    		business = 13;
    	}else{ 
    		business = 14;
    	}
    	localStorage.setItem('business',business);
        location.href = "frame-repair-type.html?cate_id="+cate.categoryId+"&cate_name="+cate.categoryName+"&brand_id="+brand.brandId+"&brand_name="+brand.brandName;
    }
}