(function(){
	'use strict';
	var myApp =angular.module('myApp', []);
        myApp.config(function($httpProvider) {
    $httpProvider.defaults.headers.put['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';
    $httpProvider.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';
    // Override $http service's default transformRequest
    $httpProvider.defaults.transformRequest = [function(data) {
        /**
         * The workhorse; converts an object to x-www-form-urlencoded serialization.
         * @param {Object} obj
         * @return {String}
         */
        var param = function(obj) {
            var query = '';
            var name, value, fullSubName, subName, subValue, innerObj, i;
            for (name in obj) {
                value = obj[name];
                if (value instanceof Array) {
                    for (i = 0; i < value.length; ++i) {
                        subValue = value[i];
                        fullSubName = name + '[' + i + ']';
                        innerObj = {};
                        innerObj[fullSubName] = subValue;
                        query += param(innerObj) + '&';
                    }
                } else if (value instanceof Object) {
                    for (subName in value) {
                        subValue = value[subName];
                        fullSubName = name + '[' + subName + ']';
                        innerObj = {};
                        innerObj[fullSubName] = subValue;
                        query += param(innerObj) + '&';
                    }
                } else if (value !== undefined && value !== null) {
                    query += encodeURIComponent(name) + '='
                            + encodeURIComponent(value) + '&';
                }
            }
            return query.length ? query.substr(0, query.length - 1) : query;
        };
        return angular.isObject(data) && String(data) !== '[object File]'
                ? param(data)
                : data;
    }];
});
})();
// JSONP
function hsCtrl($scope, $http) {
    recycleUrl = "http://clear.jdguanjia.com/hac/getCateBrandName?channelCode="+channelAppid+"&businessId=4";
    $http.get(recycleUrl).success(function(data){
        $scope.sellDatas = data.body;
        $scope.businessId = 4;
        $scope.channelCode = channelAppid;
        var categoryId = sellData.categoryId;
        var brandId = brand.brandId;
    });
    
    // 回收型号
    $scope.getSellType = function(brand,sellData) {
    	
        var categoryId = sellData.categoryId;
        localStorage.setItem('brandId', brand.brandId);
        localStorage.setItem('categoryId', sellData.categoryId);
        location.href = "zhihuan_type.html?categoryId="+categoryId+"&brandId="+brand.brandId;
    }
}