(function(){
	'use strict';
	var myApp =angular.module('myApp', []);
		myApp.config(function($httpProvider) {
	$httpProvider.defaults.headers.put['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';
	$httpProvider.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';
	// Override $http service's default transformRequest
	$httpProvider.defaults.transformRequest = [function(data) {
		/**
		 * The workhorse; converts an object to x-www-form-urlencoded serialization.
		 * @param {Object} obj
		 * @return {String}
		 */
		var param = function(obj) {
			var query = '';
			var name, value, fullSubName, subName, subValue, innerObj, i;
			for (name in obj) {
				value = obj[name];
				if (value instanceof Array) {
					for (i = 0; i < value.length; ++i) {
						subValue = value[i];
						fullSubName = name + '[' + i + ']';
						innerObj = {};
						innerObj[fullSubName] = subValue;
						query += param(innerObj) + '&';
					}
				} else if (value instanceof Object) {
					for (subName in value) {
						subValue = value[subName];
						fullSubName = name + '[' + subName + ']';
						innerObj = {};
						innerObj[fullSubName] = subValue;
						query += param(innerObj) + '&';
					}
				} else if (value !== undefined && value !== null) {
					query += encodeURIComponent(name) + '='
							+ encodeURIComponent(value) + '&';
				}
			}
			return query.length ? query.substr(0, query.length - 1) : query;
		};
		return angular.isObject(data) && String(data) !== '[object File]'
				? param(data)
				: data;
	}];
});
})();
// JSONP
var channelAppid = localStorage.getItem('channelAppid');
function ProductCtrl($scope, $http) {
	
	function getParam(name) {
		return location.href.match(new RegExp('[?&]' + name + '=([^?&]+)', 'i')) ? decodeURIComponent(RegExp.$1) : '';
	}
	var cata_id = localStorage.getItem('categoryId');
	var brand_id = localStorage.getItem('brandId');
	recycleUrl = "http://clear.jdguanjia.com/hac/getModelName?channelCode="+channelAppid+"&businessId=4&categoryId="+cata_id+"&brandId="+brand_id;

	$http.get(recycleUrl).success(function(data){
		$scope.productList = data[0].body;
	});
	$scope.getSellInfo = function(product) {
		$scope.modid = product.id;
		localStorage.setItem('modelId', product.id);
		location.href = "zhihuan_breakdown.html?&categoryId="+cata_id+"&brandId="+brand_id+"&modelId="+$scope.modid;
	}
}