(function(){
    'use strict';
    var myApp =angular.module('myApp', []);
        myApp.config(function($httpProvider) {
    $httpProvider.defaults.headers.put['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';
    $httpProvider.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';
    // Override $http service's default transformRequest
    $httpProvider.defaults.transformRequest = [function(data) {
        /**
         * The workhorse; converts an object to x-www-form-urlencoded serialization.
         * @param {Object} obj
         * @return {String}
         */
        var param = function(obj) {
            var query = '';
            var name, value, fullSubName, subName, subValue, innerObj, i;
            for (name in obj) {
                value = obj[name];
                if (value instanceof Array) {
                    for (i = 0; i < value.length; ++i) {
                        subValue = value[i];
                        fullSubName = name + '[' + i + ']';
                        innerObj = {};
                        innerObj[fullSubName] = subValue;
                        query += param(innerObj) + '&';
                    }
                } else if (value instanceof Object) {
                    for (subName in value) {
                        subValue = value[subName];
                        fullSubName = name + '[' + subName + ']';
                        innerObj = {};
                        innerObj[fullSubName] = subValue;
                        query += param(innerObj) + '&';
                    }
                } else if (value !== undefined && value !== null) {
                    query += encodeURIComponent(name) + '='
                            + encodeURIComponent(value) + '&';
                }
            }
            return query.length ? query.substr(0, query.length - 1) : query;
        };
        return angular.isObject(data) && String(data) !== '[object File]'
                ? param(data)
                : data;
    }];
});
})();
// JSONP
function getParam(name) {
    return location.href.match(new RegExp('[?&]' + name + '=([^?&]+)', 'i')) ? decodeURIComponent(RegExp.$1) : '';
}
function priceCtrl($scope, $http) {
    $scope.cate_id = getParam('cate_id');
    $scope.brand_id = getParam('brand_id');
    $scope.product_id = getParam('product_id');
    window.onload = function() {
        $('.price div').click(function() {
            $(this).addClass('price-sel').siblings('div').removeClass('price-sel');
        })
    }
    $http.get("http://clear.jdguanjia.com/hac/getFormatName?channelCode="+localStorage.getItem('channelAppid')+"&businessId=5&categoryId="+$scope.cate_id+"&brandId="+$scope.brand_id+"&modelId="+$scope.product_id).success(function(data) {
        $.each(data[0].body[0].formatList, function(i, val) {
            // 高清膜
            if(val.formatids == 40) {
                $scope.filmGq = val.name;
                $scope.paraGqId = val.id;
                $scope.formatGqID = val.formatids;
                $http.get("http://clear.jdguanjia.com/hac/getPastePrice?channelCode="+localStorage.getItem('channelAppid')+"&businessId=5&categoryId="+$scope.cate_id+"&brandId="+$scope.brand_id+"&modelId="+$scope.product_id+"&nexusFormatIds="+$scope.paraGqId).success(function(data) {
                    $scope.filmGqPrice = data.homeMoney;
                    $scope.filmGqID = data.goodsId;
                });
            }
            // 蓝宝石膜
            if(val.formatids == 39) {
                $scope.filmBs = val.name;
                $scope.paraBsId = val.id;
                $scope.formatBsID = val.formatids;
                $http.get("http://clear.jdguanjia.com/hac/getPastePrice?channelCode="+localStorage.getItem('channelAppid')+"&businessId=5&categoryId="+$scope.cate_id+"&brandId="+$scope.brand_id+"&modelId="+$scope.product_id+"&nexusFormatIds="+$scope.paraBsId).success(function(data) {
                    $scope.filmBsPrice = data.homeMoney;
                    $scope.filmBsID = data.goodsId;
                });
            }
        })
    });
    $scope.linkTo = function() {
        if(!$('.price div').hasClass('price-sel')) {
            alert('请选择贴膜类型');
            return;
        }
        if($('.price-sel h3').text() == '高清膜') {
            $scope.productId = $scope.filmGqID;
            $scope.formatId = $scope.formatGqID;
        } else if($('.price-sel h3').text() == '蓝宝石钢化玻璃膜') {
            $scope.productId = $scope.filmBsID;
            $scope.formatId = $scope.formatBsID;
        }
        location.href = "frame-tiemo-client.html?&cate_id="+$scope.cate_id+"&brand_id="+$scope.brand_id+"&productId="+$scope.productId+"&formatId="+$scope.formatId+"&price="+$('.price-sel em').text()+"&fee="+$('.price-sel em').text();
    }
}