(function(){
    'use strict';
    var myApp =angular.module('myApp', []);
        myApp.config(function($httpProvider) {
    $httpProvider.defaults.headers.put['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';
    $httpProvider.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';
    // Override $http service's default transformRequest
    $httpProvider.defaults.transformRequest = [function(data) {
        /**
         * The workhorse; converts an object to x-www-form-urlencoded serialization.
         * @param {Object} obj
         * @return {String}
         */
        var param = function(obj) {
            var query = '';
            var name, value, fullSubName, subName, subValue, innerObj, i;
            for (name in obj) {
                value = obj[name];
                if (value instanceof Array) {
                    for (i = 0; i < value.length; ++i) {
                        subValue = value[i];
                        fullSubName = name + '[' + i + ']';
                        innerObj = {};
                        innerObj[fullSubName] = subValue;
                        query += param(innerObj) + '&';
                    }
                } else if (value instanceof Object) {
                    for (subName in value) {
                        subValue = value[subName];
                        fullSubName = name + '[' + subName + ']';
                        innerObj = {};
                        innerObj[fullSubName] = subValue;
                        query += param(innerObj) + '&';
                    }
                } else if (value !== undefined && value !== null) {
                    query += encodeURIComponent(name) + '='
                            + encodeURIComponent(value) + '&';
                }
            }
            return query.length ? query.substr(0, query.length - 1) : query;
        };
        return angular.isObject(data) && String(data) !== '[object File]'
                ? param(data)
                : data;
    }];
});
})();
// JSONP
var cata_id = localStorage.getItem('categoryId');
var brand_id = localStorage.getItem('brandId');
var modid = localStorage.getItem('modelId');
var channelAppid = localStorage.getItem('channelAppid');
var nexusFormatIds = localStorage.getItem('nexusFormatIds');

function DetailCtrl($scope, $http) {
    recycleUrl = "http://clear.jdguanjia.com/hac/getHitchId?channelCode="+channelAppid +"&businessId=1&categoryId="+cata_id+"&brandId="+brand_id+"&modelId="+modid;
    $http.get(recycleUrl).success(function(data){
        console.log(data);
        var dataBody = data[0].body;
        for(var i=0; i<dataBody.length; i++) { 
            if(dataBody[i].hitchName == '基本全新'){ 
                conditionId[0] = dataBody[i].id;
            }else if(dataBody[i].hitchName == '正常磨损'){ 
                guzhangId = conditionId[1] = dataBody[i].id;
                checkPrice();
            }else if(dataBody[i].hitchName == '严重磨损'){ 
                conditionId[2] = dataBody[i].id;
            }else if(dataBody[i].hitchName == '问题机器'){ 
                conditionId[3] = dataBody[i].id;
            }
        }
    });
    
    $scope.linkTo = function(i) {
        location.href = "sell_user.html";
    }
}